Subject: [Tools-discuss] travis-ci and xml2rfc

From: Michael Richardson <[email-masked]>
Date: Fri, 18 Sep 2020 21:40:04 -0400

I tweaked my .travis.yml to run again for a repo which used to work.
I am not using the MT makefile, but my own.
I am now doing xml2rfc --v2v3, and this requires python3, so I told travis to
use that.

I am now getting "sre_constants.error: bad character range ‚-‐ at position 8"

I tried python 3.5, then tried python 3.7 as well... nope.
Something about virtualenv not really working right, but impossible to debug.

I then switch to "dist: bionic", and then everything worked using virtualenv
to install the xml2rfc.

-- 
]               Never tell me the odds!                 | ipv6 mesh networks [ 
]   Michael Richardson, Sandelman Software Works        | network architect  [ 
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [